API ReferenceapibookingGET /v1/slots/search

GET /v1/slots/search

Service: booking · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • brand_id (string) required
  • provider_id (string) —
  • from (string) required
  • to (string) required
  • timezone (string) required

Responses

200 Available slots

{
  "type": "object",
  "properties": {
    "slots": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "provider_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "start_time": {
            "type": "string"
          },
          "end_time": {
            "type": "string"
          },
          "booked": {
            "type": "boolean"
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "provider_id",
          "brand_id",
          "start_time",
          "end_time",
          "booked",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "slots"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://booking.platform.loop.health/v1/slots/search \
  -H "Authorization: Bearer $ACCESS_TOKEN"